Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2.messaging
Class GlacierNeighborResponseMessage

    java.lang.Object
      rice.p2p.glacier.v2.messaging.GlacierMessage
          rice.p2p.glacier.v2.messaging.GlacierNeighborResponseMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class GlacierNeighborResponseMessage

extends GlacierMessage

See Also:
  Serialized Form

Field Summary
`protected long[]` | `lastSeen`
`protected Id[]` | `neighbors`
`static short` | `TYPE`

Fields inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`dest, id, isResponse, source, tag`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GlacierNeighborResponseMessage(int uid, Id[] neighbors, long[] lastSeen, NodeHandle source, Id dest, char tag)`

Method Summary
`static GlacierNeighborResponseMessage` | `build(InputBuffer buf, Endpoint endpoint)`
`long` | `getLastSeen(int index)`
`Id` | `getNeighbor(int index)`
`short` | `getType()` Raw Serialization
`int` | `numNeighbors()`
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`getDestination, getPriority, getSource, getTag, getUID, isResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### neighbors

    protected Id[] neighbors

### lastSeen

    protected long[] lastSeen

Constructor Detail

### GlacierNeighborResponseMessage

    public GlacierNeighborResponseMessage(int uid,
                                          Id[] neighbors,
                                          long[] lastSeen,
                                          NodeHandle source,
                                          Id dest,
                                          char tag)

Method Detail

### numNeighbors

    public int numNeighbors()

### getNeighbor

    public Id getNeighbor(int index)

### getLastSeen

    public long getLastSeen(int index)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public short getType()

  Raw Serialization

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawMessage`
  Overrides:
    `serialize` in class `GlacierMessage`
  Throws:
    `java.io.IOException`

### build

    public static GlacierNeighborResponseMessage build(InputBuffer buf,
                                                       Endpoint endpoint)
                                                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.